Skip to main content
Resource Center/Hardware/Physical Network Operations
GETPhysical Network OperationsSince 5.0.0SynchronousAuth Required

GetHostNetworkInterfaceLldp

GetHostNetworkInterfaceLldp

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • interfaceUuidStringRequired

    The physical NIC port UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • lldpHostNetworkInterfaceLldpRefInventoryRequired

    See lldp.

    • lldpUuidStringRequired

      The LLDP UUID.

    • chassisIdStringRequired

      The chassis ID.

    • timeToLiveIntegerRequired

      The retention time of LLDP messages on the endpoint.

    • managementAddressStringRequired

      The management address.

    • systemNameStringRequired

      The systerm name.

    • systemDescriptionStringRequired

      The system description.

    • systemCapabilitiesStringRequired

      The system capabilities.

    • portIdStringRequired

      The port ID.

    • portDescriptionStringRequired

      The port description.

    • vlanIdIntegerRequired

      The VLAN ID.

    • aggregationPortIdLongRequired

      The aggregation port ID.

    • mtuIntegerRequired

      The maximun transmission unit.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info

/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info

Operation ID

GetHostNetworkInterfaceLldp

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "lldp": { "lldpUuid": "6b7c1267888a38779eac7694315855f0", "chassisId": "mac 00:1e:08:1d:05:ba", "timeToLive": 120, "managementAddress": "172.25.2.4", "systemName": "BM-MN-3", "systemDescription": " CentecOS software, E530, Version 7.4.7 Copyright (C) 2004-2021 Centec Networks Inc. All Rights Reserved.", "systemCapabilities": "Bridge, on Router, on", "portId": "ifname eth-0-5", "portDescription": "eth-0-4", "vlanId": 3999, "aggregationPortId": 4294965248, "mtu": 9600 } }

Change History

This API has no change history records yet.

View all change history